"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var axios_1 = require("axios");
var Story_1 = require("./Story");
var Latest_1 = require("./Latest");
var Util_1 = require("./Util");
var MEDIUM_URL = 'https://medium.com';
var FORMAT = 'format=json';
function getStory(mediumUserName, storyId) {
    return axios_1.default
        .get(MEDIUM_URL + "/" + mediumUserName + "/" + storyId + "?" + FORMAT)
        .then(function (response) {
        var cleanedPost = Util_1.cleanResponse(response.data);
        var value = Util_1.getValue(cleanedPost);
        return new Story_1.default(value);
    });
}
exports.getStory = getStory;
function getLatest(mediumUserName) {
    return axios_1.default
        .get(MEDIUM_URL + "/" + mediumUserName + "/latest?" + FORMAT)
        .then(function (response) {
        var cleanedPost = Util_1.cleanResponse(response.data);
        var json = JSON.parse(cleanedPost).payload;
        return new Latest_1.default(json);
    });
}
exports.getLatest = getLatest;
//# sourceMappingURL=node-medium-feed.js.map